function acc = Cal_ACC(sim,Mask,threshold)

same_pair_num = sum(Mask,2);
diff_pair_num = sum(~Mask,2);

mask = zeros(1,size(Mask,2),'int32');
sim_tar = find(sim>threshold);
mask(sim_tar) = 1;
    
t_mask = Mask & mask;
f_mask = ~Mask & ~mask;
    
acc = (sum(t_mask,2)+ sum(f_mask,2)) / (same_pair_num+diff_pair_num);

