function   PCA(X,pca_model_path)
%% ***********Ԥ********************************************
dim = size(X,1);
sample_num = size(X,2);
[x_mean x_var] = GetZeroMeanOneVar(X);
X_pca = ZeroMeanOneVar(X, x_mean,x_var);
pca_dim = min(dim,sample_num);
%% ***********  PCA ***********************************************
if dim<sample_num  
    St = X * X';
    [Vt Dt v] = svd(St);
    eig_value_unsort = diag(Dt);
    [eig_value  eig_index]  = sort(eig_value_unsort,'descend');
    W_pca = zeros(dim,pca_dim);  %W_pcaΪɷ
    for i = 1:pca_dim
        W_pca(:, i) = Vt(:,eig_index(i));
    end
else 
    St = X_pca' * X_pca;
    [Vt Dt v] = svd(St);
    eig_value_unsort = diag(Dt);
    [eig_value  eig_index]  = sort(eig_value_unsort,'descend');
    W_pca = zeros(dim,pca_dim);  %W_pcaΪɷ
    for i = 1:pca_dim
        W_pca(:, i) = X_pca*Vt(:,eig_index(i));
    end
end
for i = 1:pca_dim
    v = W_pca(:, i);
    v = v/norm(v);
    W_pca(:, i) = v;
end
save(pca_model_path, 'x_mean', 'x_var', 'W_pca','eig_value');
fprintf('Trainset PCA Model Finished\n');