function Script_on_view2_Intensity

%% path setting
diary('output_view2.txt'); diary on;
testset_path   = '..\DB\Intensity\lfw_intensity_view2.mat';
xc_path = '..\DB\Intensity\lfw_intensity_xc_3000.mat';
m = load('..\Model\opt_para.mat');

c_num = m.opt_c_num;
stop = m.opt_stop;
lambda = m.opt_lambda;
sild_pca_dim = m.opt_sild_pca_dim;
sild_dim_kept = m.opt_sild_sw_dim;
% c_num = 400;%m.max_c;
% stop = 0.01;%m.max_stop;
% lambda = 11;%m.max_lambda;
% sild_pca_dim = 400;%m.max_sild_pca_dim;
% sild_dim_kept = 100;%m.max_sild_sw_dim;
eps = 0.001;   

% for stop =[0.01 0.03 0.05 0.08 0.1 0.3 0.5]
model_path = '..\Model\Intensity_view2';  pmkdir(model_path); 
result_path = '..\Model\Intensity_view2';  pmkdir(result_path);   pmkdir([result_path '\mat']);
pre_computing_path = [model_path '\PreComputing'];      pmkdir(pre_computing_path);

result_path = ['..\Result\Intensity_view2\Intensity_c_' num2str(c_num) '_lambda_' num2str(lambda)  '_view2'];  pmkdir(result_path);   pmkdir([result_path '\mat']);
pre_computing_path = [model_path '\PreComputing'];      pmkdir(pre_computing_path);
p = fopen([result_path '\result_sild_wei_1_reg_0.01.txt'],'at');

[mean_acc se_acc] = PHL_View2(testset_path,model_path,result_path,sild_pca_dim,0,sild_dim_kept,1,c_num,lambda,stop,eps,xc_path,pre_computing_path);
fprintf(p,'mean_acc:%f se_acc:%f @c_num:%d lambda:%f stop:%f sild_sild_pca_dim %d sild_sild_dim_kept:%d\n',mean_acc, se_acc, c_num, lambda, stop, sild_pca_dim, sild_dim_kept);
fprintf('mean_acc:%f se_acc:%f @c_num:%d lambda:%f stop:%f sild_sild_pca_dim %d sild_sild_dim_kept:%d\n',mean_acc, se_acc, c_num, lambda, stop, sild_pca_dim, sild_dim_kept);
fclose(p);
% end
