function [acc threshold] = Cal_One_Block_ACC(sim,Mask)
far = [];
tar = [];

min_sim = min(sim(:));
max_sim = max(sim(:));

same_pair_num = sum(Mask,2);
diff_pair_num = sum(~Mask,2);

step = (max_sim - min_sim)/100;
Acc = []; Threshold = [];
for i =min_sim:step:max_sim
    mask = zeros(1,size(Mask,2),'int32');
    sim_tar = find(sim>i);
    mask(sim_tar) = 1;
    
    t_mask = Mask & mask;
    f_mask = ~Mask & ~mask;
    
    acc_i = (sum(t_mask,2)+ sum(f_mask,2)) / (same_pair_num+diff_pair_num);
    
    Acc = [Acc acc_i];
    Threshold = [Threshold i];
end

[acc index]= max(Acc);
threshold = Threshold(index);

