function Y = PCA_Projection(X,pca_model_path,pca_dim,b_engergy,energy_ratio)
m = load(pca_model_path, 'x_mean', 'x_var', 'W_pca','eig_value');
x_mean = m.x_mean;
x_var = m.x_var;
eig_value = m.eig_value;

if b_engergy == 1
    energy_threshold = sum(eig_value)*energy_ratio;
    kept_energy = 0;
    for i=1:size(m.W_pca,2)
        kept_energy = kept_energy + eig_value(i);
        if kept_energy >energy_threshold
            pca_dim = i;
            break;
        end
    end
end

W_pca = m.W_pca(:,1:pca_dim);
Y = W_pca' * ZeroMeanOneVar(X,x_mean,x_var);